Last Comment Bug 1065857 - Add interpolation for schema v2 url params (eg openURL)
: Add interpolation for schema v2 url params (eg openURL)
Status: RESOLVED FIXED
:
Product: Release Engineering
Classification: Other
Component: Balrog: Backend (show other bugs)
: unspecified
: x86 All
P2 normal (vote)
: ---
Assigned To: Nick Thomas [:nthomas]
: Ben Hearsum (:bhearsum)
: Chris AtLee [:catlee]
Mentors:
Depends on: 1067624
Blocks: 1049550
  Show dependency treegraph
 
Reported: 2014-09-10 21:28 PDT by Nick Thomas [:nthomas]
Modified: 2014-09-16 19:50 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
[balrog] Interpolate interpolate interpolate! (interpolate!!!) (5.70 KB, patch)
2014-09-11 15:47 PDT, Nick Thomas [:nthomas]
bhearsum: review+
Details | Diff | Splinter Review

Description User image Nick Thomas [:nthomas] 2014-09-10 21:28:19 PDT
We support replacing %LOCALE% with the locale in the query for detailsURL and licenseURL, but should add support for v2 params such as openURL, billboardURL, notificationURL, alertURL.

Blocks balrog beta because we need to use openURL for the betas from 10 to 28 inclusive.
Comment 1 User image Nick Thomas [:nthomas] 2014-09-11 15:47:45 PDT
Created attachment 8488287 [details] [diff] [review]
[balrog] Interpolate interpolate interpolate!      (interpolate!!!)
Comment 2 User image Ben Hearsum (:bhearsum) 2014-09-11 16:10:26 PDT
Comment on attachment 8488287 [details] [diff] [review]
[balrog] Interpolate interpolate interpolate!      (interpolate!!!)

Review of attachment 8488287 [details] [diff] [review]:
-----------------------------------------------------------------

bork bork bork!
Comment 3 User image [github robot] 2014-09-11 16:36:19 PDT
Commit pushed to master at https://github.com/mozilla/balrog

https://github.com/mozilla/balrog/commit/edc5a38841e4a600da7979b9a1df7a7bf38a0c1f
Bug 1065857, interpolate %LOCALE% in v2+ schema URL properties, r=bhearsum
Comment 4 User image Nick Thomas [:nthomas] 2014-09-16 19:50:22 PDT
In production today.

Note You need to log in before you can comment on or make changes to this bug.